<div id="search-component">
  <label for="search-box">Appointment Search</label>
  <input #searchBox id="search-box" (input)="search(searchBox.value)" />

  <ul class="search-result">
    <li *ngFor="let appointment of appointments$ | async" >
      <a routerLink="/detail/{{appointment.id}}">
        {{appointment.title}}
      </a>
    </li>
  </ul>
</div>
